View Issue Details

IDProjectCategoryView StatusLast Update
0003795SymmetricDSImprovementpublic2019-04-23 11:14
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.9.19Fixed in Version3.9.19 
Summary0003795: More efficient routing for non-transactional channels
DescriptionThis change optimizes the reading and enqueueing of sym_data rows when in non-transactional mode. It ignores the transacation id, and instead just routes each data id in order.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 a3a65d5a

2019-04-04 14:11:55

mmichalek

Details Diff
0003795: More efficient routing for non-transactional channels
0003795
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

SymmetricDS: 3.10 32ad7000

2019-04-04 14:11:55

mmichalek

Details Diff
0003795: More efficient routing for non-transactional channels
0003795
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

Issue History

Date Modified Username Field Change
2018-11-14 12:50 mmichalek New Issue
2018-11-14 12:50 mmichalek Status new => assigned
2018-11-14 12:50 mmichalek Assigned To => mmichalek
2018-11-28 13:22 mmichalek Target Version 3.8.41 =>
2019-04-04 14:13 mmichalek Status assigned => resolved
2019-04-04 14:13 mmichalek Resolution open => fixed
2019-04-04 14:13 mmichalek Fixed in Version => 3.9.19
2019-04-04 14:13 mmichalek Target Version => 3.9.19
2019-04-04 15:00 mmichalek Changeset attached => SymmetricDS 3.9 a3a65d5a
2019-04-04 15:00 mmichalek Changeset attached => SymmetricDS 3.10 32ad7000
2019-04-23 11:14 elong Status resolved => closed